Page MenuHomePhabricator

Enable namespace aliases on ne.wikipedia.org (newiki)
Closed, ResolvedPublic

Description

Kindly enable shortcuts for different name spaces in Nepali wiki as following -

'wgNamespaceAliases' => array(

'newiki' => array(

   'वि' => NS_PROJECT,
   'वि वा' => NS_PROJECT_TALK,
   'Wikipedia' => NS_PROJECT,,
   'C' => NS_CATEGORY,
   'CT' => NS_CATEGORY_TALK,
   'वि' => NS_PROJECT,
   'W' => NS_PROJECT,
   'WT' => NS_PROJECT_TALK,
   'u' => NS_USER,
   'ut' => NS_USER_TALK,
   'प्र' => NS_USER,
   'प्र वा' => NS_USER
   'ढाँ' => NS_TEMPLATE
   'ढाँ वा' => NS_TEMPLATE_TALK
   'T' => NS_TEMPLATE
   'T T' => NS_TEMPLATE_TALK
   'P' => NS_PORTAL
   'P T' => NS_PORTAL_TALK
   'पो' => NS_PORTAL
   'पो वा' => NS_PORTAL_TALK

),

Local consesnus can be found here-https://ne.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%9A%E0%A5%8C%E0%A4%A4%E0%A4%BE%E0%A4%B0%E0%A5%80_%28%E0%A4%AA%E0%A5%8D%E0%A4%B0%E0%A4%BE%E0%A4%B5%E0%A4%BF%E0%A4%A7%E0%A4%BF%E0%A4%95%29#Enable_namespace_aliases_for_on_ne.wikipedia.org_.28newiki.29_.E0.A4.B8.E0.A4.BE.E0.A4.A8.E0.A5.8B_.E0.A4.B5.E0.A4.BF.E0.A4.95.E0.A4.B2.E0.A5.8D.E0.A4.AA_.E0.A4.95.E0.A5.81.E0.A4.A8.E0.A5.88_.E0.A4.AA.E0.A5.83.E0.A4.B7.E0.A5.8D.E0.A4.A0_.E0.A4.B8.E0.A4.AE.E0.A5.8D.E0.A4.AE_.E0.A4.AA.E0.A5.81.E0.A4.97.E0.A5.8D.E0.A4.A8_.E0.A4.A8.E0.A4.BF.E0.A4.AE.E0.A4.BF.E0.A4.A4.E0.A5.8D.E0.A4.A4

Thanks,
Biplab Anand
(User:बिप्लब आनन्द)

Event Timeline

biplabanand assigned this task to bzimport.
biplabanand raised the priority of this task from to Needs Triage.
biplabanand updated the task description. (Show Details)
biplabanand added subscribers: biplabanand, sarojdhakal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 11:19 AM
Aklapper triaged this task as Normal priority.Feb 18 2015, 12:29 PM
Tacsipacsi updated the task description. (Show Details)Feb 22 2015, 8:25 PM
Tacsipacsi set Security to None.

It appears to me that some of the aliases are composed of at least two characters (or words), so they might require underscore (_) characters between them to work properly.

If that is the case, please add underscores to the supposed new aliases.

Sorry for the trouble -- I have absolutely zero idea about how to write in Devanagari.

tomasz removed bzimport as the assignee of this task.Feb 27 2015, 11:33 AM
biplabanand added a comment.EditedFeb 27 2015, 5:05 PM

It appears to me that some of the aliases are composed of at least two characters (or words), so they might require underscore (_) characters between them to work properly.
If that is the case, please add underscores to the supposed new aliases.
Sorry for the trouble -- I have absolutely zero idea about how to write in Devanagari.

'wgNamespaceAliases' => array(

'newiki' => array(

   'वि' => NS_PROJECT,
   'वि_वा' => NS_PROJECT_TALK,
   'Wikipedia' => NS_PROJECT,,
   'C' => NS_CATEGORY,
   'CT' => NS_CATEGORY_TALK,
   'वि' => NS_PROJECT,
   'W' => NS_PROJECT,
   'WT' => NS_PROJECT_TALK,
   'u' => NS_USER,
   'ut' => NS_USER_TALK,
   'प्र' => NS_USER,
   'प्र_वा' => NS_USER
   'ढाँ' => NS_TEMPLATE
   'ढाँ_वा' => NS_TEMPLATE_TALK
   'T' => NS_TEMPLATE
   'T T' => NS_TEMPLATE_TALK
   'P' => NS_PORTAL
   'P T' => NS_PORTAL_TALK
   'पो' => NS_PORTAL
   'पो_वा' => NS_PORTAL_TALK

),

ok fi9 now ..actually it's my mistake..

'C' => NS_CATEGORY, 'W' => NS_PROJECT shouldn't be done as these are used as interwiki links.

'C' => NS_CATEGORY, 'W' => NS_PROJECT shouldn't be done as these are used as interwiki links.

Ok leave these two ('C' => NS_CATEGORY, 'W' => NS_PROJECT)..please proceed for the rest.Thanks

tomasz claimed this task.Feb 27 2015, 6:16 PM

pt: and tt: are also used as interlanguage links (for the Portuguese and Tatar Wikipedias, respectively), so I'm leaving them aside. A patch with the remaining aliases will be submitted shortly.

Change 194088 had a related patch set uploaded (by Odder):
Add namespace aliases for Nepali Wikipedia (newiki)

https://gerrit.wikimedia.org/r/194088

Change 194088 merged by jenkins-bot:
Add namespace aliases for Nepali Wikipedia (newiki)

https://gerrit.wikimedia.org/r/194088

Change 194133 had a related patch set uploaded (by Odder):
Remove redundant namespace aliases from newiki

https://gerrit.wikimedia.org/r/194133

Change 194133 merged by jenkins-bot:
Remove redundant namespace aliases from newiki

https://gerrit.wikimedia.org/r/194133

tomasz closed this task as Resolved.Mar 3 2015, 4:54 PM
tomasz added a subscriber: MarkTraceur.

Now deployed on the production cluster by @MarkTraceur.